REM Must be in \F001B on correct drive when this batch file is run.
CLS
VERIFY ON

cd %2:\F001B
ECHO Installing D705B compatible IMS F001B release

MKDIR %2:\f001b\d705b
MKDIR %2:\f001b\d705b\libs
MKDIR %2:\f001b\d705b\occdemo
ECHO Copying F001B D705B GPIB libraries
COPY /b %1:d705blib.exe %2:\f001b\d705b\libs\*.*
ECHO Copying F001B D705B GPIB examples
COPY /b %1:d705bdem.exe %2:\f001b\d705b\occdemo\*.*
REM Restore the installed files
ECHO Installation from disk complete
ECHO Restoring Libraries...
CD %2:\f001b\d705b\libs
d705blib
del *.exe
ECHO Restoring Occam Examples...
cd %2:\f001b\d705b\occdemo
d705bdem
del *.exe
ECHO Insert disk 2
PAUSE
ECHO Installing TCOFF compatible IMS F001B release
cd %2:\F001B

MKDIR %2:\f001b\tcoff
MKDIR %2:\f001b\tcoff\libs
MKDIR %2:\f001b\tcoff\occdemo
MKDIR %2:\f001b\tcoff\cdemo
ECHO Copying F001B TCOFF GPIB libraries...
COPY /b %1:tclib1.exe %2:\f001b\tcoff\libs\*.*
ECHO Insert Disk 3 
PAUSE
COPY /b %1:tclib2.exe %2:\f001b\tcoff\libs\*.*
ECHO Insert Disk 4 
PAUSE
COPY /b %1:tclib3.exe %2:\f001b\tcoff\libs\*.*
ECHO Copying F001B TCOFF GPIB examples
COPY /b %1:tcoccdem.exe %2:\f001b\tcoff\occdemo\*.*
COPY /b %1:tccdem.exe   %2:\f001b\tcoff\cdemo\*.*
REM Restore the installed files
ECHO Installation from disk complete
ECHO Restoring Libraries...
CD %2:\f001b\tcoff\libs
tclib1
tclib2
tclib3
del *.exe
del *.prg
ECHO Restoring Occam Examples...
cd %2:\f001b\tcoff\occdemo
tcoccdem
del *.exe
ECHO Restoring C Examples...
cd %2:\f001b\tcoff\cdemo
tccdem
del *.exe
rem delete the one transputer example
del gpibdemo.c
del gpibdemo.lnk

CD %2:\f001b
del yesorno.exe
ECHO End of installation.
VERIFY OFF

REM will never return here !
VERIFY OFF
GOTO END

:ERROR3
ECHO You have given an invalid drive letter for the installation disks.

:ERROR1
:ERROR2
ECHO You must specify the drive letters for the installation.
ECHO First drive letter must be the drive in which the installation disks are 
ECHO inserted and the second must be the drive on which the GPIB Libraries are
ECHO to be installed.

:END
ECHO ON
