#include <channel.h>

#pragma IMS_translate (f001_counted_receive, "F001.COUNTED.RECEIVE")
#pragma IMS_translate (f001_counted_rx_resp_mess, "F001.COUNTED.RX.RESP.MESS")
#pragma IMS_translate (f001_ddtransfer, "F001.DDTRANSFER")
#pragma IMS_translate (f001_device_clear, "F001.DEVICE.CLEAR")
#pragma IMS_translate (f001_enable_local_controls, "F001.ENABLE.LOCAL.CONTROLS")
#pragma IMS_translate (f001_enable_remote, "F001.ENABLE.REMOTE")
#pragma IMS_translate (f001_end_setup, "F001.END.SETUP")
#pragma IMS_translate (f001_generate_service_request, "F001.GENERATE.SERVICE.REQUEST")
#pragma IMS_translate (f001_read_eerom, "F001.READ.EEROM")
#pragma IMS_translate (f001_read_por_latch, "F001.READ.POR.LATCH")
#pragma IMS_translate (f001_read_srq, "F001.READ.SRQ")
#pragma IMS_translate (f001_read_ss_error, "F001.READ.SS.ERROR")
#pragma IMS_translate (f001_read_9914_reg, "F001.READ.9914.REG")
#pragma IMS_translate (f001_receive, "F001.RECEIVE")
#pragma IMS_translate (f001_receive_byte, "F001.RECEIVE.BYTE")
#pragma IMS_translate (f001_receive_response_message, "F001.RECEIVE.RESPONSE.MESSAGE")
#pragma IMS_translate (f001_receive_setup, "F001.RECEIVE.SETUP")
#pragma IMS_translate (f001_reset, "F001.RESET")
#pragma IMS_translate (f001_send, "F001.SEND")
#pragma IMS_translate (f001_send_command, "F001.SEND.COMMAND")
#pragma IMS_translate (f001_send_data_bytes, "F001.SEND.DATA.BYTES")
#pragma IMS_translate (f001_send_ifc, "F001.SEND.IFC")
#pragma IMS_translate (f001_send_llo, "F001.SEND.LLO")
#pragma IMS_translate (f001_send_setup, "F001.SEND.SETUP")
#pragma IMS_translate (f001_serial_poll, "F001.SERIAL.POLL")
#pragma IMS_translate (f001_set_bus_drivers, "F001.SET.BUS.DRIVERS")
#pragma IMS_translate (f001_set_device_mode, "F001.SET.DEVICE.MODE")
#pragma IMS_translate (f001_set_gpib_address, "F001.SET.GPIB.ADDRESS")
#pragma IMS_translate (f001_set_ren, "F001.SET.REN")
#pragma IMS_translate (f001_set_rwls, "F001.SET.RWLS")
#pragma IMS_translate (f001_set_rx_terminator, "F001.SET.RX.TERMINATOR")
#pragma IMS_translate (f001_set_ss_analyse, "F001.SET.SS.ANALYSE")
#pragma IMS_translate (f001_set_ss_reset, "F001.SET.SS.RESET")
#pragma IMS_translate (f001_set_timeout, "F001.SET.TIMEOUT")
#pragma IMS_translate (f001_set_tx_terminator, "F001.SET.TX.TERMINATOR")
#pragma IMS_translate (f001_start_setup, "F001.START.SETUP")
#pragma IMS_translate (f001_trigger, "F001.TRIGGER")
#pragma IMS_translate (f001_untimed_send_data_bytes, "F001.UNTIMED.SEND.DATA.BYTES")
#pragma IMS_translate (f001_untimed_send, "F001.UNTIMED.SEND")
#pragma IMS_translate (f001_wait_on_gpib_event, "F001.WAIT.ON.GPIB.EVENT")
#pragma IMS_translate (f001_write_eerom, "F001.WRITE.EEROM")
#pragma IMS_translate (f001_write_9914_reg, "F001.WRITE.9914.REG")

extern void f001_counted_receive (Channel *from_f001, Channel *to_f001,
                                  short talk_address,
                                  long *count,
                                  char received_data[], int rd_size,
                                  short *f001_error);

extern void f001_counted_rx_resp_mess (Channel *from_f001, Channel *to_f001,
                                       long *count,
                                       char received_data[], int rd_size,
                                       short *f001_error);

extern void f001_ddtransfer (Channel *from_f001, Channel *to_f001,
                             short talk_address,
                             short listen_addresses[], int la_size,
                             short *f001_error);

extern void f001_device_clear (Channel *from_f001, Channel *to_f001,
                               int clear_all_devices,
                               short listen_addresses[], int la_size,
                               short *f001_error);

extern void f001_enable_local_controls (Channel *from_f001, Channel *to_f001,
                                        int enable_all,
                                        short listen_addresses[], int la_size,
                                        short *f001_error);

extern void f001_enable_remote (Channel *from_f001, Channel *to_f001,
                                int enable_all,
                                short listen_addresses[], int la_size,
                                short *f001_error);

extern void f001_end_setup (Channel *from_f001, Channel *to_f001,
                            short *f001_error);

extern void f001_generate_service_request (Channel *from_f001, Channel *to_f001,
                                           char status_byte,
                                           short *f001_error);

extern void f001_read_eerom (Channel *from_f001, Channel *to_f001,
                             short start_address,
                             short no_of_bytes,
                             char eerom_data[], int ed_size,
                             short *f001_error);

extern void f001_read_por_latch (Channel *from_f001, Channel *to_f001,
                                 char *por_status, 
                                 short *f001_error);

extern void f001_read_srq (Channel *from_f001, Channel *to_f001,
                           char *srq_status, 
                           short *f001_error);

extern void f001_read_ss_error (Channel *from_f001, Channel *to_f001,
                                char *error_status, 
                                short *f001_error);

extern void f001_read_9914_reg (Channel *from_f001, Channel *to_f001,
                                short register,
                                char  *register_val,
                                short *f001_error);

extern void f001_receive (Channel *from_f001, Channel *to_f001,
                          short talk_address,
                          long *count,
                          char received_data[], int rd_size,
                          short *f001_error);

extern void f001_receive_byte (Channel *from_f001, Channel *to_f001,
                               char *received_byte,
                               short *f001_error);

extern void f001_receive_response_message (Channel *from_f001, Channel *to_f001,
                                           long *count, 
                                           char received_data[], int rd_size,
                                           short *f001_error);

extern void f001_receive_setup (Channel *from_f001, Channel *to_f001,
                                short talk_address,
                                short *f001_error);

extern void f001_reset (Channel *from_f001, Channel *to_f001,
                        short listen_addresses[], int la_size,
                        short *f001_error);

extern void f001_send (Channel *from_f001, Channel *to_f001,
                       short listen_addresses[], int la_size,
                       long count, 
                       char message[], int mess_size, 
                       short *f001_error);

extern void f001_send_command (Channel *from_f001, Channel *to_f001,
                               char commands[], int c_size,
                               short *f001_error);

extern void f001_send_data_bytes (Channel *from_f001, Channel *to_f001,
                                  long count,
                                  char message[], int mess_size, 
                                  short *f001_error);

extern void f001_send_ifc (Channel *from_f001, Channel *to_f001,
                           short *f001_error);

extern void f001_send_llo (Channel *from_f001, Channel *to_f001,
                           short *f001_error);

extern void f001_send_setup (Channel *from_f001, Channel *to_f001,
                             short listen_addresses[], int la_size,
                             short *f001_error);

extern void f001_serial_poll (Channel *from_f001, Channel *to_f001,
                              short talk_addresses[], int ta_size,
                              char status_bytes[], int sb_size,
                              short *f001_error);

extern void f001_set_bus_drivers (Channel *from_f001, Channel *to_f001,
                                  short source, short driver_type,
                                  short *f001_error);

extern void f001_set_device_mode (Channel *from_f001, Channel *to_f001,
                                  short source, short mode,
                                  short *f001_error);

extern void f001_set_gpib_address (Channel *from_f001, Channel *to_f001,
                                   short source, short primary_address,
                                   short *f001_error);

extern void f001_set_ren (Channel *from_f001, Channel *to_f001,
                          int ren_state,
                          short *f001_error);

extern void f001_set_rwls (Channel *from_f001, Channel *to_f001,
                           short listen_addresses[], int la_size, 
                           short *f001_error);

extern void f001_set_rx_terminator (Channel *from_f001, Channel *to_f001,
                                    short terminator,
                                    char user_def_char,
                                    short *f001_error);

extern void f001_set_ss_analyse (Channel *from_f001, Channel *to_f001,
                                 int analyse_status, 
                                 short *f001_error);

extern void f001_set_ss_reset (Channel *from_f001, Channel *to_f001,
                               int reset_status, 
                               short *f001_error);

extern void f001_set_timeout (Channel *from_f001, Channel *to_f001,
                              short timeout_period, 
                              short *f001_error);

extern void f001_set_tx_terminator (Channel *from_f001, Channel *to_f001,
                                    short terminator,
                                    short *f001_error);

extern void f001_start_setup (Channel *from_f001, Channel *to_f001,
                              short *f001_error);

extern void f001_trigger (Channel *from_f001, Channel *to_f001,
                          int trigger_all,
                          short listen_addresses[], int la_size, 
                          short *f001_error);

extern void f001_untimed_send_data_bytes (Channel *from_f001, Channel *to_f001,
                                          long count, 
                                          char message[], int mess_size, 
                                          short *f001_error);

extern void f001_untimed_send (Channel *from_f001, Channel *to_f001,
                                 short listen_addresses[], int la_size,
                                 long count, 
                                 char message[], int mess_size, 
                                 short *f001_error);

extern void f001_wait_on_gpib_event (Channel *from_f001, Channel *to_f001,
                                     short event_list [4],
                                     short *f001_error);

extern void f001_write_eerom (Channel *from_f001, Channel *to_f001,
                              short start_address,
                              short count,
                              char eerom_data[], int ed_size,
                              short *f001_error);

extern void f001_write_9914_reg (Channel *from_f001, Channel *to_f001,
                                 short register,
                                 char  register_val,
                                 short *f001_error);

#pragma IMS_nolink (f001_ddtransfer)
#pragma IMS_nolink (f001_device_clear)
#pragma IMS_nolink (f001_enable_local_controls)
#pragma IMS_nolink (f001_enable_remote)
#pragma IMS_nolink (f001_end_setup)
#pragma IMS_nolink (f001_generate_service_request)
#pragma IMS_nolink (f001_read_eerom)
#pragma IMS_nolink (f001_read_por_latch)
#pragma IMS_nolink (f001_read_srq)
#pragma IMS_nolink (f001_read_ss_error)
#pragma IMS_nolink (f001_read_9914_reg)
#pragma IMS_nolink (f001_receive)
#pragma IMS_nolink (f001_receive_response_message)
#pragma IMS_nolink (f001_receive_setup)
#pragma IMS_nolink (f001_reset)
#pragma IMS_nolink (f001_send)
#pragma IMS_nolink (f001_send_command)
#pragma IMS_nolink (f001_send_data_bytes)
#pragma IMS_nolink (f001_send_ifc)
#pragma IMS_nolink (f001_send_llo)
#pragma IMS_nolink (f001_send_setup)
#pragma IMS_nolink (f001_serial_poll)
#pragma IMS_nolink (f001_set_bus_drivers)
#pragma IMS_nolink (f001_set_device_mode)
#pragma IMS_nolink (f001_set_gpib_address)
#pragma IMS_nolink (f001_set_ren)
#pragma IMS_nolink (f001_set_rwls)
#pragma IMS_nolink (f001_set_rx_terminator)
#pragma IMS_nolink (f001_set_ss_analyse)
#pragma IMS_nolink (f001_set_ss_reset)
#pragma IMS_nolink (f001_set_timeout)
#pragma IMS_nolink (f001_set_tx_terminator)
#pragma IMS_nolink (f001_start_setup)
#pragma IMS_nolink (f001_trigger)
#pragma IMS_nolink (f001_untimed_send_data_bytes)
#pragma IMS_nolink (f001_untimed_send)
#pragma IMS_nolink (f001_wait_on_gpib_event)
#pragma IMS_nolink (f001_write_eerom)
#pragma IMS_nolink (f001_write_9914_reg)

